com.taosdata.jdbc.ws.entity

## Class RequestFactory

- java.lang.Object
- - com.taosdata.jdbc.ws.entity.RequestFactory

    public class RequestFactory
    extends Object

generate id for request

### Constructor Summary

Constructors
Constructor and Description
`RequestFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Request` `generateFetch(long id)`
`Request` `generateFetchBlock(long id)`
`Request` `generateFetchJson(long id)`
`Request` `generateQuery(String sql)`
`long` `getId(String action)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequestFactory

    public RequestFactory()

### Method Detail

#### getId

    public long getId(String action)

#### generateQuery

    public Request generateQuery(String sql)

#### generateFetch

    public Request generateFetch(long id)

#### generateFetchJson

    public Request generateFetchJson(long id)

#### generateFetchBlock

    public Request generateFetchBlock(long id)